/*
 * Copyright (c) 2022 VMware, Inc. All Rights Reserved.
 */

const cls = require('cls-hooked');
const reqCtxt = cls.createNamespace("req");

module.exports.runInContext = async function(callback){
    return reqCtxt.runAndReturn(callback);
}
module.exports.setRequestExecutionContext = function(req, res, next){
    reqCtxt.run(() => {
        reqCtxt.bindEmitter(req);
        reqCtxt.bindEmitter(res);
        next();
    });
}

module.exports.reqCtxt = reqCtxt;
